package pneumaticCraft.client.gui;

import java.io.IOException;
import java.util.List;

import net.minecraft.client.resources.I18n;
import net.minecraft.entity.player.InventoryPlayer;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import pneumaticCraft.client.gui.widget.WidgetTextField;
import pneumaticCraft.common.inventory.ContainerSentryTurret;
import pneumaticCraft.common.network.NetworkHandler;
import pneumaticCraft.common.network.PacketUpdateTextfield;
import pneumaticCraft.common.tileentity.TileEntitySentryTurret;
import pneumaticCraft.lib.Textures;

@SideOnly(Side.CLIENT)
public class GuiSentryTurret extends GuiPneumaticContainerBase<TileEntitySentryTurret>{

    private WidgetTextField entityFilter;

    public GuiSentryTurret(InventoryPlayer player, TileEntitySentryTurret te){

        super(new ContainerSentryTurret(player, te), te, Textures.GUI_SENTRY_TURRET);
    }

    @Override
    public void func_73866_w_(){
        super.func_73866_w_();
        addWidget(entityFilter = new WidgetTextField(field_146289_q, field_147003_i + 80, field_147009_r + 63, 70, field_146289_q.field_78288_b));

    }

    @Override
    public void func_73876_c(){
        super.func_73876_c();
        if(!entityFilter.func_146206_l()) entityFilter.func_146180_a(te.getText(0));
    }

    @Override
    protected void func_73864_a(int par1, int par2, int par3) throws IOException{
        super.func_73864_a(par1, par2, par3);
        if(!entityFilter.func_146206_l()) {
            te.setText(0, entityFilter.func_146179_b());
            NetworkHandler.sendToServer(new PacketUpdateTextfield(te, 0));
        }
    }

    @Override
    public void func_146281_b(){
        super.func_146281_b();

        te.setText(0, entityFilter.func_146179_b());
        NetworkHandler.sendToServer(new PacketUpdateTextfield(te, 0));
    }

    @Override
    protected void func_146979_b(int x, int y){
        super.func_146979_b(x, y);
        field_146289_q.func_78276_b("Upgr.", 28, 19, 4210752);
        field_146289_q.func_78276_b(I18n.func_135052_a("gui.sentryTurret.ammo"), 80, 19, 4210752);
        field_146289_q.func_78276_b(I18n.func_135052_a("gui.sentryTurret.targetFilter"), 80, 53, 4210752);
    }

    @Override
    protected void addProblems(List<String> curInfo){
        super.addProblems(curInfo);

        boolean hasAmmo = false;
        for(int i = 4; i < te.func_70302_i_(); i++) {
            if(te.func_70301_a(i) != null) {
                hasAmmo = true;
                break;
            }
        }
        if(!hasAmmo) curInfo.add("gui.tab.problems.sentryTurret.noAmmo");
    }

}
