package pneumaticCraft.client.gui.programmer;

import java.io.IOException;

import net.minecraft.client.gui.GuiButton;
import net.minecraft.client.resources.I18n;
import pneumaticCraft.client.AreaShowManager;
import pneumaticCraft.client.gui.GuiProgrammer;
import pneumaticCraft.common.progwidgets.IAreaProvider;
import pneumaticCraft.common.progwidgets.IProgWidget;

public class GuiProgWidgetAreaShow<Widget extends IProgWidget> extends GuiProgWidgetOptionBase<Widget>{

    public GuiProgWidgetAreaShow(Widget widget, GuiProgrammer guiProgrammer){
        super(widget, guiProgrammer);
    }

    @Override
    public void func_73866_w_(){
        super.func_73866_w_();

        if(widget instanceof IAreaProvider) {
            field_146292_n.add(new GuiButton(1000, guiLeft + xSize / 2 - 50, guiTop + 150, 100, 20, I18n.func_135052_a("gui.programmer.button.showArea")));
            if(AreaShowManager.getInstance().isShowing(guiProgrammer.te)) field_146292_n.add(new GuiButton(1001, guiLeft + xSize / 2 - 50, guiTop + 175, 100, 20, I18n.func_135052_a("gui.programmer.button.stopShowingArea")));
        }
    }

    @Override
    public void func_146284_a(GuiButton button) throws IOException{
        if(widget instanceof IAreaProvider) {
            if(button.field_146127_k == 1000) {
                if(!AreaShowManager.getInstance().isShowing(guiProgrammer.te)) field_146292_n.add(new GuiButton(1001, guiLeft + xSize / 2 - 50, guiTop + 175, 100, 20, I18n.func_135052_a("gui.programmer.button.stopShowingArea")));
                guiProgrammer.te.previewArea(widget.getX(), widget.getY());
                return;
            } else if(button.field_146127_k == 1001) {
                AreaShowManager.getInstance().removeHandlers(guiProgrammer.te);
                field_146292_n.remove(button);
                return;
            }
        }
        // PacketDispatcher.sendPacketToServer(PacketHandlerPneumaticCraft.showDroneArea(guiProgrammer.te.getPos().getX(), guiProgrammer.te.getPos().getY(), guiProgrammer.te.getPos().getZ(), widget.getX(), widget.getY()));
        super.func_146284_a(button);
    }
}
