package pneumaticCraft.client.gui.programmer;

import java.io.IOException;

import net.minecraft.client.resources.I18n;
import pneumaticCraft.client.gui.GuiProgrammer;
import pneumaticCraft.client.gui.widget.GuiCheckBox;
import pneumaticCraft.common.progwidgets.ProgWidgetExternalProgram;

public class GuiProgWidgetExternalProgram extends GuiProgWidgetAreaShow<ProgWidgetExternalProgram>{

    private GuiCheckBox shareVariables;

    public GuiProgWidgetExternalProgram(ProgWidgetExternalProgram widget, GuiProgrammer guiProgrammer){
        super(widget, guiProgrammer);
    }

    @Override
    public void func_73866_w_(){
        super.func_73866_w_();

        shareVariables = new GuiCheckBox(-1, guiLeft + 10, guiTop + 22, 0xFF000000, I18n.func_135052_a("gui.progWidget.externalProgram.shareVariables"));
        addWidget(shareVariables);
        shareVariables.setTooltip(I18n.func_135052_a("gui.progWidget.externalProgram.shareVariables.tooltip"));
        shareVariables.setChecked(widget.shareVariables);
    }

    @Override
    public void func_73869_a(char chr, int keyCode) throws IOException{
        if(keyCode == 1) {
            widget.shareVariables = shareVariables.checked;
        }
        super.func_73869_a(chr, keyCode);
    }
}
