package pneumaticCraft.client.gui.programmer;

import java.io.IOException;

import net.minecraft.client.resources.I18n;
import net.minecraft.util.ResourceLocation;
import pneumaticCraft.client.gui.GuiPneumaticScreenBase;
import pneumaticCraft.client.gui.GuiProgrammer;
import pneumaticCraft.common.network.NetworkHandler;
import pneumaticCraft.common.network.PacketProgrammerUpdate;
import pneumaticCraft.common.progwidgets.IProgWidget;
import pneumaticCraft.lib.Textures;

public class GuiProgWidgetOptionBase<Widget extends IProgWidget> extends GuiPneumaticScreenBase{
    protected Widget widget;
    protected GuiProgrammer guiProgrammer;

    public GuiProgWidgetOptionBase(Widget widget, GuiProgrammer guiProgrammer){
        this.widget = widget;
        this.guiProgrammer = guiProgrammer;
        xSize = 183;
        ySize = 202;
    }

    @Override
    public void func_73869_a(char key, int keyCode) throws IOException{
        super.func_73869_a(key, keyCode);
        if(keyCode == 1) {
            func_146281_b();
            if(guiProgrammer != null) {
                NetworkHandler.sendToServer(new PacketProgrammerUpdate(guiProgrammer.te));
                field_146297_k.func_147108_a(guiProgrammer);
            }
        }
    }

    @Override
    public void func_73866_w_(){
        super.func_73866_w_();
        String title = I18n.func_135052_a("programmingPuzzle." + widget.getWidgetString() + ".name");
        addLabel(title, field_146294_l / 2 - field_146289_q.func_78256_a(title) / 2, guiTop + 5);
    }

    @Override
    public void func_73863_a(int mouseX, int mouseY, float partialTicks){
        func_146276_q_();
        super.func_73863_a(mouseX, mouseY, partialTicks);
    }

    @Override
    protected ResourceLocation getTexture(){
        return Textures.GUI_WIDGET_OPTIONS;
    }

    @Override
    public boolean func_73868_f(){
        return false;
    }
}
