package pneumaticCraft.client.gui.tubemodule;

import java.io.IOException;

import net.minecraft.client.gui.GuiTextField;
import net.minecraft.client.resources.I18n;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.ResourceLocation;
import pneumaticCraft.common.block.tubes.ModuleAirGrate;
import pneumaticCraft.common.network.NetworkHandler;
import pneumaticCraft.common.network.PacketUpdateAirGrateModule;
import pneumaticCraft.lib.Textures;

public class GuiAirGrateModule extends GuiTubeModule{

    public GuiAirGrateModule(EntityPlayer player, int x, int y, int z){
        super(player, x, y, z);
        ySize = 61;
    }

    private GuiTextField textfield;

    @Override
    public void func_73866_w_(){
        super.func_73866_w_();
        addLabel(I18n.func_135052_a("gui.entityFilter"), guiLeft + 10, guiTop + 14);

        textfield = new GuiTextField(-1, field_146289_q, guiLeft + 10, guiTop + 25, 160, 10);
        textfield.func_146180_a(((ModuleAirGrate)module).entityFilter);
    }

    @Override
    public void func_73863_a(int mouseX, int mouseY, float partialTicks){
        super.func_73863_a(mouseX, mouseY, partialTicks);
        if(!textfield.func_146206_l()) textfield.func_146180_a(((ModuleAirGrate)module).entityFilter);
        textfield.func_146194_f();
    }

    @Override
    protected void func_73864_a(int x, int y, int par3) throws IOException{
        super.func_73864_a(x, y, par3);
        textfield.func_146192_a(x, y, par3);
    }

    @Override
    public void func_73869_a(char par1, int par2) throws IOException{
        if(textfield.func_146206_l() && par2 != 1) {
            textfield.func_146201_a(par1, par2);
            ((ModuleAirGrate)module).entityFilter = textfield.func_146179_b();
            NetworkHandler.sendToServer(new PacketUpdateAirGrateModule(module, textfield.func_146179_b()));
        } else {
            super.func_73869_a(par1, par2);
        }
    }

    @Override
    protected ResourceLocation getTexture(){
        return Textures.GUI_TEXT_WIDGET;
    }

}
