package pneumaticCraft.client.gui.widget;

import net.minecraft.client.gui.FontRenderer;
import net.minecraft.util.MathHelper;

import org.apache.commons.lang3.math.NumberUtils;

import pneumaticCraft.common.util.PneumaticCraftUtils;

public class WidgetTextFieldNumber extends WidgetTextField{

    public int minValue = Integer.MIN_VALUE;
    public int maxValue = Integer.MAX_VALUE;
    private int decimals;

    public WidgetTextFieldNumber(FontRenderer fontRenderer, int x, int y, int width, int height){
        super(fontRenderer, x, y, width, height);
        setValue(0);
    }

    public WidgetTextFieldNumber setDecimals(int decimals){
        this.decimals = decimals;
        return this;
    }

    @Override
    public void onMouseClicked(int mouseX, int mouseY, int button){
        boolean wasFocused = func_146206_l();
        super.onMouseClicked(mouseX, mouseY, button);
        if(func_146206_l()) {
            if(!wasFocused) { //setText("");
                func_146202_e();
                func_146199_i(0);
            }
        } else {
            setValue(getDoubleValue());
        }
    }

    public WidgetTextFieldNumber setValue(double value){
        func_146180_a(PneumaticCraftUtils.roundNumberTo(value, decimals));
        return this;
    }

    public int getValue(){
        return MathHelper.func_76125_a(NumberUtils.toInt(func_146179_b()), minValue, maxValue);
    }

    public double getDoubleValue(){
        return PneumaticCraftUtils.roundNumberToDouble(MathHelper.func_151237_a(NumberUtils.toDouble(func_146179_b()), minValue, maxValue), decimals);
    }
}
