package pneumaticCraft.client.render.entity;

import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.entity.RendererLivingEntity;
import net.minecraft.entity.EntityLiving;
import net.minecraft.util.ResourceLocation;

import org.lwjgl.opengl.GL11;

import pneumaticCraft.client.model.entity.ModelDrone;
import pneumaticCraft.common.entity.living.EntityDroneBase;
import pneumaticCraft.lib.Textures;

public class RenderDrone extends RendererLivingEntity<EntityDroneBase>{
    private final ModelDrone model;

    public RenderDrone(boolean isLogisticsDrone){
        super(Minecraft.func_71410_x().func_175598_ae(), null, 0);
        model = new ModelDrone(isLogisticsDrone);
    }

    public void renderDrone(EntityDroneBase drone, double par2, double par4, double par6, float par8, float par9){
        GL11.glPushMatrix();
        GL11.glTranslatef((float)par2, (float)par4, (float)par6);

        GL11.glPushMatrix();
        GL11.glTranslatef(0, 0.76F, 0);
        GL11.glScalef(0.5F, -0.5F, -0.5F);
        func_180548_c(drone);
        model.func_78086_a(drone, 0, 0, par9);
        model.func_78088_a(drone, 0, 0, 0, 0, par9, 1 / 16F);
        GL11.glPopMatrix();

        drone.renderExtras(par2, par4, par6, par9);
        GL11.glPopMatrix();
    }

    @Override
    protected ResourceLocation func_110775_a(EntityDroneBase par1Entity){
        return Textures.MODEL_DRONE;
    }

    @Override
    public void func_76986_a(EntityDroneBase par1Entity, double par2, double par4, double par6, float par8, float par9){
        renderDrone(par1Entity, par2, par4, par6, par8, par9);
        func_177067_a(par1Entity, par2, par4, par6); //TODO 1.8 test (renaming)
    }

    @Override
    protected boolean func_177070_b(EntityDroneBase p_110813_1_){
        return super.func_177070_b(p_110813_1_) && (p_110813_1_.func_94059_bO() || ((EntityLiving)p_110813_1_).func_145818_k_() && p_110813_1_ == field_76990_c.field_147941_i);
    }
}
