package pneumaticCraft.client.render.pneumaticArmor;

import net.minecraft.block.Block;
import net.minecraft.client.renderer.Tessellator;
import net.minecraft.client.renderer.WorldRenderer;
import net.minecraft.client.renderer.vertex.DefaultVertexFormats;
import net.minecraft.util.BlockPos;
import net.minecraft.world.World;

import org.lwjgl.opengl.GL11;

public class RenderBlockArrows{
    public int ticksExisted;

    public void render(World world, BlockPos pos, float partialTicks){
        // if(true) return;
        Block block = world.func_180495_p(pos).func_177230_c();
        block.func_180654_a(world, pos);
        double minX = block.func_149704_x();
        double minY = block.func_149665_z();
        double minZ = block.func_149706_B();
        double maxX = block.func_149753_y();
        double maxY = block.func_149669_A();
        double maxZ = block.func_149693_C();
        if(ticksExisted > 10) ticksExisted = 0;
        float progress = (ticksExisted + partialTicks) / 10F;
        GL11.glLineWidth(1.0F);
        GL11.glColor4d(1, 1, 1, progress);
        GL11.glPushMatrix();
        GL11.glTranslated(-0.5D, -0.5D, -0.5D);

        GL11.glPushMatrix();
        GL11.glTranslated(minX, minY, minZ);
        GL11.glRotatef(45, 0, 1, 0);
        GL11.glRotatef(45, 1, 0, 0);
        drawArrow(progress);
        GL11.glPopMatrix();

        GL11.glPushMatrix();
        GL11.glTranslated(maxX, minY, minZ);
        GL11.glRotatef(45, 0, -1, 0);
        GL11.glRotatef(45, 1, 0, 0);
        drawArrow(progress);
        GL11.glPopMatrix();

        GL11.glPushMatrix();
        GL11.glTranslated(minX, minY, maxZ);
        GL11.glRotatef(45, 0, -1, 0);
        GL11.glRotatef(45, -1, 0, 0);
        drawArrow(progress);
        GL11.glPopMatrix();

        GL11.glPushMatrix();
        GL11.glTranslated(maxX, minY, maxZ);
        GL11.glRotatef(45, 0, 1, 0);
        GL11.glRotatef(45, -1, 0, 0);
        drawArrow(progress);
        GL11.glPopMatrix();

        GL11.glPushMatrix();
        GL11.glTranslated(minX, maxY, minZ);
        GL11.glRotatef(45, 0, 1, 0);
        GL11.glRotatef(135, 1, 0, 0);
        drawArrow(progress);
        GL11.glPopMatrix();

        GL11.glPushMatrix();
        GL11.glTranslated(maxX, maxY, minZ);
        GL11.glRotatef(45, 0, -1, 0);
        GL11.glRotatef(135, 1, 0, 0);
        drawArrow(progress);
        GL11.glPopMatrix();

        GL11.glPushMatrix();
        GL11.glTranslated(minX, maxY, maxZ);
        GL11.glRotatef(45, 0, -1, 0);
        GL11.glRotatef(135, -1, 0, 0);
        drawArrow(progress);
        GL11.glPopMatrix();

        GL11.glPushMatrix();
        GL11.glTranslated(maxX, maxY, maxZ);
        GL11.glRotatef(45, 0, 1, 0);
        GL11.glRotatef(135, -1, 0, 0);
        drawArrow(progress);
        GL11.glPopMatrix();

        GL11.glPopMatrix();
    }

    private void drawArrow(float progress){
        double arrowBaseWidth = 0.4D;
        double arrowBaseLength = 0.8D;
        double arrowLength = 1.5D;
        double arrowWidth = 0.7D;
        double scale = 0.1D;
        GL11.glPushMatrix();
        GL11.glScaled(scale, scale, scale);
        GL11.glTranslatef(0, progress * 4, 0);
        WorldRenderer wr = Tessellator.func_178181_a().func_178180_c();
        wr.func_181668_a(GL11.GL_LINE_STRIP, DefaultVertexFormats.field_181705_e);
        wr.func_181662_b(-arrowBaseWidth, -arrowLength * 0.5D, 0).func_181675_d();
        wr.func_181662_b(-arrowBaseWidth, -arrowLength * 0.5D + arrowBaseLength, 0).func_181675_d();
        wr.func_181662_b(-arrowWidth, -arrowLength * 0.5D + arrowBaseLength, 0).func_181675_d();
        wr.func_181662_b(0, arrowLength * 0.5D, 0).func_181675_d();
        wr.func_181662_b(arrowWidth, -arrowLength * 0.5D + arrowBaseLength, 0).func_181675_d();
        wr.func_181662_b(arrowBaseWidth, -arrowLength * 0.5D + arrowBaseLength, 0).func_181675_d();
        wr.func_181662_b(arrowBaseWidth, -arrowLength * 0.5D, 0).func_181675_d();
        Tessellator.func_178181_a().func_78381_a();
        GL11.glPopMatrix();
    }
}
