package pneumaticCraft.client.render.pneumaticArmor.hacking.entity;

import java.lang.reflect.Field;
import java.util.List;
import java.util.Random;

import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLiving;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraftforge.fml.relauncher.ReflectionHelper;
import pneumaticCraft.api.client.pneumaticHelmet.IHackableEntity;
import pneumaticCraft.lib.Log;

public class HackableLivingDisarm implements IHackableEntity{
    private static Field fieldDropChance;

    @Override
    public String getId(){
        return null;
    }

    @Override
    public boolean canHack(Entity entity, EntityPlayer player){
        for(ItemStack stack : ((EntityLiving)entity).func_70035_c()) {
            if(stack != null) return true;
        }
        return false;
    }

    @Override
    public void addInfo(Entity entity, List<String> curInfo, EntityPlayer player){
        curInfo.add("pneumaticHelmet.hacking.result.disarm");
    }

    @Override
    public void addPostHackInfo(Entity entity, List<String> curInfo, EntityPlayer player){
        curInfo.add("pneumaticHelmet.hacking.finished.disarmed");
    }

    @Override
    public int getHackTime(Entity entity, EntityPlayer player){
        return 60;
    }

    @Override
    public void onHackFinished(Entity entity, EntityPlayer player){
        if(!entity.field_70170_p.field_72995_K) {
            Random rand = new Random();

            if(fieldDropChance == null) {
                fieldDropChance = ReflectionHelper.findField(EntityLiving.class, "field_82174_bp", "equipmentDropChances");
            }
            try {
                float[] equipmentDropChances = (float[])fieldDropChance.get(entity);
                for(int i = 0; i < ((EntityLiving)entity).func_70035_c().length; i++) {
                    ItemStack stack = ((EntityLiving)entity).func_70035_c()[i];
                    float equipmentDropChance = equipmentDropChances[i];

                    boolean flag1 = equipmentDropChance > 1.0F;

                    if(stack != null && rand.nextFloat() < equipmentDropChance) {
                        if(!flag1 && stack.func_77984_f()) {
                            int k = Math.max(stack.func_77958_k() - 25, 1);
                            int l = stack.func_77958_k() - rand.nextInt(rand.nextInt(k) + 1);

                            if(l > k) {
                                l = k;
                            }

                            if(l < 1) {
                                l = 1;
                            }

                            stack.func_77964_b(l);
                        }

                        entity.func_70099_a(stack, 0.0F);
                    }
                    ((EntityLiving)entity).func_70062_b(i, null);
                }
                ((EntityLiving)entity).func_98053_h(false);
            } catch(Exception e) {
                Log.error("Reflection failed on HackableLivingDisarm");
                e.printStackTrace();
            }
        }
    }

    @Override
    public boolean afterHackTick(Entity entity){
        return false;
    }

}
