package pneumaticCraft.common.ai;

import java.util.Comparator;

import net.minecraft.util.BlockPos;
import net.minecraft.util.Vec3;
import pneumaticCraft.common.util.PneumaticCraftUtils;

public class ChunkPositionSorter implements Comparator<BlockPos>{

    private final double x, y, z;

    public ChunkPositionSorter(IDroneBase entity){
        Vec3 vec = entity.getDronePos();
        x = vec.field_72450_a;
        y = vec.field_72448_b;
        z = vec.field_72449_c;
    }

    public ChunkPositionSorter(double x, double y, double z){
        this.x = x;
        this.y = y;
        this.z = z;
    }

    @Override
    public int compare(BlockPos c1, BlockPos c2){
        return Double.compare(PneumaticCraftUtils.distBetween(c1.func_177958_n(), c1.func_177956_o(), c1.func_177952_p(), x, y, z), PneumaticCraftUtils.distBetween(c2.func_177958_n(), c2.func_177956_o(), c2.func_177952_p(), x, y, z));
    }
}
