package pneumaticCraft.common.ai;

import java.util.Comparator;

import net.minecraft.entity.Entity;
import net.minecraft.tileentity.TileEntity;
import pneumaticCraft.common.util.PneumaticCraftUtils;

public class DistanceTileEntitySorter implements Comparator{

    private final Entity entity;

    public DistanceTileEntitySorter(Entity entity){
        this.entity = entity;
    }

    @Override
    public int compare(Object arg0, Object arg1){
        TileEntity c1 = (TileEntity)arg0;
        TileEntity c2 = (TileEntity)arg0;
        return Double.compare(PneumaticCraftUtils.distBetween(c1.func_174877_v().func_177958_n(), c1.func_174877_v().func_177956_o(), c1.func_174877_v().func_177952_p(), entity.field_70165_t, entity.field_70163_u, entity.field_70161_v), PneumaticCraftUtils.distBetween(c2.func_174877_v().func_177958_n(), c2.func_174877_v().func_177956_o(), c2.func_174877_v().func_177952_p(), entity.field_70165_t, entity.field_70163_u, entity.field_70161_v));
    }

}
