package pneumaticCraft.common.block;

import net.minecraft.block.material.Material;
import net.minecraft.block.properties.PropertyBool;
import net.minecraft.block.state.BlockState;
import net.minecraft.block.state.IBlockState;
import net.minecraft.tileentity.TileEntity;
import pneumaticCraft.common.tileentity.TileEntityAirCompressor;
import pneumaticCraft.proxy.CommonProxy.EnumGuiId;

public class BlockAirCompressor extends BlockPneumaticCraftModeled{

    public static final PropertyBool ON = PropertyBool.func_177716_a("on");

    public BlockAirCompressor(Material par2Material){
        super(par2Material);
    }

    @Override
    protected BlockState func_180661_e(){
        return new BlockState(this, ROTATION, ON);
    }

    @Override
    public int func_176201_c(IBlockState state){
        return super.func_176201_c(state) + (state.func_177229_b(ON) ? 6 : 0);
    }

    @Override
    public IBlockState func_176203_a(int meta){
        return super.func_176203_a(meta).func_177226_a(ON, meta >= 6);
    }

    @Override
    public EnumGuiId getGuiID(){
        return EnumGuiId.AIR_COMPRESSOR;
    }

    @Override
    protected Class<? extends TileEntity> getTileEntityClass(){
        return TileEntityAirCompressor.class;
    }

    @Override
    public boolean isRotatable(){
        return true;
    }
}
