package pneumaticCraft.common.block;

import net.minecraft.block.material.Material;
import net.minecraft.util.BlockPos;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.EnumWorldBlockLayer;
import net.minecraft.world.IBlockAccess;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

public class BlockPressureChamberGlass extends BlockPressureChamberWallBase{

    public BlockPressureChamberGlass(Material par2Material){
        super(par2Material);
    }

    private boolean isGlass(IBlockAccess world, BlockPos pos){
        return world.func_180495_p(pos).func_177230_c() == this;
    }

    @Override
    @SideOnly(Side.CLIENT)
    public boolean func_176225_a(IBlockAccess world, BlockPos pos, EnumFacing side){
        EnumFacing d = side.func_176734_d();
        return !isGlass(world, pos.func_177972_a(d)) || !isGlass(world, pos);
    }

    @Override
    public boolean func_149662_c(){
        return false;
    }

    @Override
    @SideOnly(Side.CLIENT)
    public EnumWorldBlockLayer func_180664_k(){
        return EnumWorldBlockLayer.CUTOUT;
    }

}
