package pneumaticCraft.common.heat.behaviour;

import net.minecraft.init.Blocks;
import net.minecraftforge.fluids.Fluid;
import net.minecraftforge.fluids.FluidRegistry;
import pneumaticCraft.api.heat.HeatBehaviour;

public abstract class HeatBehaviourLiquid extends HeatBehaviour{
    public Fluid getFluid(){
        Fluid fluid = FluidRegistry.lookupFluidForBlock(getBlockState().func_177230_c());
        if(fluid != null) return fluid;
        else if(getBlockState() == Blocks.field_150356_k) return FluidRegistry.LAVA;
        else if(getBlockState() == Blocks.field_150358_i) return FluidRegistry.WATER;
        return null;
    }
}
