package pneumaticCraft.common.inventory;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.InventoryPlayer;
import net.minecraft.inventory.Slot;
import net.minecraft.item.ItemStack;
import net.minecraft.util.EnumFacing;
import pneumaticCraft.common.AchievementHandler;
import pneumaticCraft.common.fluid.Fluids;
import pneumaticCraft.common.tileentity.TileEntityRefinery;

public class ContainerRefinery extends ContainerPneumaticBase<TileEntityRefinery>{

    public ContainerRefinery(InventoryPlayer inventoryPlayer, TileEntityRefinery te){
        super(te);

        TileEntityRefinery refinery = te;
        refinery.onNeighborTileUpdate();
        while(refinery.getTileCache()[EnumFacing.UP.ordinal()].getTileEntity() instanceof TileEntityRefinery) {
            refinery = (TileEntityRefinery)refinery.getTileCache()[EnumFacing.UP.ordinal()].getTileEntity();
            addSyncedFields(refinery);
            refinery.onNeighborTileUpdate();
        }

        addPlayerSlots(inventoryPlayer, 84);

        if(te.getTankInfo(EnumFacing.UP)[0].fluid != null && te.getTankInfo(EnumFacing.UP)[0].fluid.getFluid() == Fluids.oil) {
            AchievementHandler.giveAchievement(inventoryPlayer.field_70458_d, new ItemStack(Fluids.getBucket(Fluids.oil)));
        }
    }

    @Override
    public boolean func_75145_c(EntityPlayer player){
        return true;//te.isUseableByPlayer(player);
        //return te.isGuiUseableByPlayer(player);
    }

    /**
     * @param itemStack
     *            ItemStack to merge into inventory
     * @param start
     *            minimum slot to attempt fill
     * @param end
     *            maximum slot to attempt fill
     * @param backwards
     *            go backwards
     * @return true if stacks merged successfully public boolean
     *         mergeItemStack(itemStack, start, end, backwards)
     */

    @Override
    public ItemStack func_82846_b(EntityPlayer par1EntityPlayer, int par2){

        ItemStack var3 = null;
        Slot var4 = field_75151_b.get(par2);

        if(var4 != null && var4.func_75216_d()) {
            ItemStack var5 = var4.func_75211_c();
            var3 = var5.func_77946_l();

            if(par2 < 27) {
                if(!func_75135_a(var5, 27, 36, false)) return null;
                var4.func_75220_a(var5, var3);
            } else {
                if(!func_75135_a(var5, 0, 27, false)) return null;
                var4.func_75220_a(var5, var3);
            }

            if(var5.field_77994_a == 0) {
                var4.func_75215_d((ItemStack)null);
            } else {
                var4.func_75218_e();
            }

            if(var5.field_77994_a == var3.field_77994_a) return null;

            var4.func_82870_a(par1EntityPlayer, var5);
        }

        return var3;
    }
}
