package pneumaticCraft.common.network;

import net.minecraft.client.resources.I18n;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.ChatComponentText;
import pneumaticCraft.client.gui.widget.WidgetAmadronOffer;
import pneumaticCraft.common.config.AmadronOfferSettings;
import pneumaticCraft.common.recipes.AmadronOfferCustom;

public class PacketAmadronTradeRemoved extends PacketAbstractAmadronTrade<PacketAmadronTradeRemoved>{

    public PacketAmadronTradeRemoved(){}

    public PacketAmadronTradeRemoved(AmadronOfferCustom offer){
        super(offer);
    }

    @Override
    public void handleClientSide(PacketAmadronTradeRemoved message, EntityPlayer player){
        if(AmadronOfferSettings.notifyOfTradeRemoval) player.func_145747_a(new ChatComponentText(I18n.func_135052_a("message.amadron.playerRemovedTrade", message.getOffer().getVendor(), WidgetAmadronOffer.getStringForObject(message.getOffer().getInput()), WidgetAmadronOffer.getStringForObject(message.getOffer().getOutput()))));
    }

    @Override
    public void handleServerSide(PacketAmadronTradeRemoved message, EntityPlayer player){}
}
