package pneumaticCraft.common.recipes;

import net.minecraft.inventory.InventoryCrafting;
import net.minecraft.item.ItemDye;
import net.minecraft.item.ItemStack;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.world.World;
import pneumaticCraft.common.item.Itemss;
import pneumaticCraft.common.tileentity.TileEntityPlasticMixer;

public class RecipeColorDrone extends AbstractRecipe{

    @Override
    public boolean func_77569_a(InventoryCrafting inventoryCrafting, World world){
        boolean hasDrone = false, hasDye = false;
        for(int i = 0; i < inventoryCrafting.func_70302_i_(); i++) {
            ItemStack stack = inventoryCrafting.func_70301_a(i);
            if(stack != null) {
                if(stack.func_77973_b() == Itemss.drone) {
                    if(!hasDrone) hasDrone = true;
                    else return false;
                } else if(TileEntityPlasticMixer.getDyeIndex(stack) >= 0) {
                    if(!hasDye) hasDye = true;
                    else return false;
                }
            }
        }
        return hasDrone && hasDye;
    }

    @Override
    public ItemStack func_77572_b(InventoryCrafting inventoryCrafting){
        ItemStack drone = null;
        int dyeIndex = -1;
        for(int i = 0; i < inventoryCrafting.func_70302_i_(); i++) {
            ItemStack stack = inventoryCrafting.func_70301_a(i);
            if(stack != null) {
                if(stack.func_77973_b() == Itemss.drone) {
                    drone = stack.func_77946_l();
                } else if(dyeIndex == -1) {
                    dyeIndex = TileEntityPlasticMixer.getDyeIndex(stack);
                }
            }
        }
        NBTTagCompound droneTag = drone.func_77978_p();
        if(droneTag == null) {
            droneTag = new NBTTagCompound();
            drone.func_77982_d(droneTag);
        }
        droneTag.func_74768_a("color", ItemDye.field_150922_c[dyeIndex]);
        return drone;
    }

    @Override
    public int func_77570_a(){
        return 2;
    }

    @Override
    public ItemStack func_77571_b(){
        return new ItemStack(Itemss.drone);
    }

}
