package pneumaticCraft.common.recipes;

import net.minecraft.init.Items;
import net.minecraft.inventory.InventoryCrafting;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;
import pneumaticCraft.common.item.ItemGunAmmo;
import pneumaticCraft.common.item.Itemss;

public class RecipeGunAmmo extends AbstractRecipe{

    @Override
    public boolean func_77569_a(InventoryCrafting invCrafting, World world){
        int itemCount = 0;
        boolean foundPotion = false;
        boolean foundAmmo = false;
        for(int i = 0; i < invCrafting.func_70302_i_(); i++) {
            ItemStack stack = invCrafting.func_70301_a(i);
            if(stack != null) {
                itemCount++;
                if(stack.func_77973_b() == Items.field_151068_bn) foundPotion = true;
                if(stack.func_77973_b() == Itemss.gunAmmo) foundAmmo = true;
            }
        }
        return foundPotion && foundAmmo && itemCount == 2;
    }

    @Override
    public ItemStack func_77572_b(InventoryCrafting invCrafting){
        ItemStack potion = null;
        ItemStack ammo = null;
        for(int i = 0; i < invCrafting.func_70302_i_(); i++) {
            ItemStack stack = invCrafting.func_70301_a(i);
            if(stack != null) {
                if(stack.func_77973_b() == Items.field_151068_bn) {
                    potion = stack;
                } else {
                    ammo = stack;
                }
            }
        }
        ammo = ammo.func_77946_l();
        ItemGunAmmo.setPotion(ammo, potion);
        return ammo;
    }

    @Override
    public int func_77570_a(){
        return 2;
    }

    @Override
    public ItemStack func_77571_b(){
        return new ItemStack(Itemss.gunAmmo);
    }

}
