package pneumaticCraft.common.recipes;

import net.minecraft.inventory.InventoryCrafting;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;
import pneumaticCraft.common.item.Itemss;

public class RecipeManometer extends AbstractRecipe{

    @Override
    public boolean func_77569_a(InventoryCrafting inventory, World world){

        boolean gaugeFound = false;
        boolean canisterFound = false;
        for(int i = 0; i < inventory.func_70302_i_(); i++) {
            ItemStack stack = inventory.func_70301_a(i);
            if(stack != null) {
                if(stack.func_77973_b() == Itemss.pressureGauge) {
                    if(gaugeFound) return false;
                    gaugeFound = true;
                } else if(stack.func_77973_b() == Itemss.airCanister) {
                    if(canisterFound) return false;
                    canisterFound = true;
                } else return false;
            }
        }
        return gaugeFound && canisterFound;
    }

    @Override
    public ItemStack func_77572_b(InventoryCrafting inventory){
        if(!func_77569_a(inventory, null)) return null;
        ItemStack output = func_77571_b();
        output.func_77964_b(getCanister(inventory).func_77952_i());
        //System.out.println("output damage: " + output.getItemDamage());
        return output;
    }

    public ItemStack getCanister(InventoryCrafting inventory){
        for(int i = 0; i < inventory.func_70302_i_(); i++) {
            ItemStack stack = inventory.func_70301_a(i);
            if(stack != null && stack.func_77973_b() == Itemss.airCanister) return stack;
        }
        return null;
    }

    @Override
    public int func_77570_a(){
        return 2;
    }

    @Override
    public ItemStack func_77571_b(){
        return new ItemStack(Itemss.manometer);
    }

}
