package pneumaticCraft.common.tileentity;

import net.minecraft.nbt.NBTTagCompound;
import pneumaticCraft.common.network.DescSynced;

public class TileEntityAphorismTile extends TileEntityBase{
    private String[] textLines = new String[]{""};

    @DescSynced
    public int textRotation;

    @Override
    public void func_145841_b(NBTTagCompound tag){
        super.func_145841_b(tag);
        tag.func_74768_a("textRotation", textRotation);
    }

    @Override
    public void func_145839_a(NBTTagCompound tag){
        super.func_145839_a(tag);
        textRotation = tag.func_74762_e("textRotation");
    }

    @Override
    public void writeToPacket(NBTTagCompound tag){
        super.writeToPacket(tag);
        tag.func_74768_a("lines", textLines.length);
        for(int i = 0; i < textLines.length; i++) {
            tag.func_74778_a("line" + i, textLines[i]);
        }
    }

    @Override
    public void readFromPacket(NBTTagCompound tag){
        super.readFromPacket(tag);
        int lines = tag.func_74762_e("lines");
        textLines = new String[lines];
        for(int i = 0; i < lines; i++) {
            textLines[i] = tag.func_74779_i("line" + i);
        }
    }

    public String[] getTextLines(){
        return textLines;
    }

    public void setTextLines(String[] textLines){
        this.textLines = textLines;
        sendDescriptionPacket();
    }
}
