package pneumaticCraft.common.tileentity;

import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.AxisAlignedBB;
import net.minecraft.util.EnumFacing;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import pneumaticCraft.common.block.BlockPneumaticDoor;
import pneumaticCraft.common.network.DescSynced;
import pneumaticCraft.common.network.LazySynced;

public class TileEntityPneumaticDoor extends TileEntityBase{
    @DescSynced
    @LazySynced
    public float rotation;
    public float oldRotation;
    @DescSynced
    public boolean rightGoing;

    public void setRotation(float rotation){
        oldRotation = this.rotation;
        this.rotation = rotation;
        TileEntity te = null;
        if(isTopDoor()) {
            te = field_145850_b.func_175625_s(func_174877_v().func_177972_a(EnumFacing.DOWN));
        } else {
            te = field_145850_b.func_175625_s(func_174877_v().func_177972_a(EnumFacing.UP));
        }
        if(te instanceof TileEntityPneumaticDoor) {
            TileEntityPneumaticDoor door = (TileEntityPneumaticDoor)te;
            door.rightGoing = rightGoing;
            if(rotation != door.rotation) {
                door.setRotation(rotation);
                //door.rotation = rotation;
                // door.oldRotation = oldRotation;
            }
        }
    }

    public boolean isTopDoor(){
        return BlockPneumaticDoor.isTopDoor(field_145850_b.func_180495_p(func_174877_v()));
    }

    @Override
    public void func_145841_b(NBTTagCompound tag){
        super.func_145841_b(tag);
        tag.func_74757_a("rightGoing", rightGoing);
    }

    @Override
    public void func_145839_a(NBTTagCompound tag){
        super.func_145839_a(tag);
        rightGoing = tag.func_74767_n("rightGoing");
    }

    @Override
    @SideOnly(Side.CLIENT)
    public AxisAlignedBB getRenderBoundingBox(){
        return new AxisAlignedBB(func_174877_v().func_177958_n(), func_174877_v().func_177956_o(), func_174877_v().func_177952_p(), func_174877_v().func_177958_n() + 1, func_174877_v().func_177956_o() + 2, func_174877_v().func_177952_p() + 1);
    }
}
