package pneumaticCraft.client.gui;

import java.awt.Point;

import net.minecraft.client.gui.GuiButton;
import pneumaticCraft.common.inventory.ContainerPneumaticBase;
import pneumaticCraft.common.tileentity.TileEntityCreativeCompressor;
import pneumaticCraft.common.util.PneumaticCraftUtils;

public class GuiCreativeCompressor extends GuiPneumaticContainerBase<TileEntityCreativeCompressor>{

    public GuiCreativeCompressor(TileEntityCreativeCompressor te){
        super(new ContainerPneumaticBase(te), te, null);
    }

    @Override
    public boolean func_73868_f(){
        return false;
    }

    @Override
    public void func_73866_w_(){
        super.func_73866_w_();
        int y = field_146295_m / 2 - 5;
        int x = field_146294_l / 2;
        field_146292_n.add(new GuiButton(0, x - 90, y, 30, 20, "-1"));
        field_146292_n.add(new GuiButton(1, x - 58, y, 30, 20, "-0.1"));
        field_146292_n.add(new GuiButton(2, x + 28, y, 30, 20, "+0.1"));
        field_146292_n.add(new GuiButton(3, x + 60, y, 30, 20, "+1"));
    }

    @Override
    protected Point getGaugeLocation(){
        return null;
    }

    @Override
    protected boolean shouldAddPressureTab(){
        return false;
    }

    @Override
    protected boolean shouldAddProblemTab(){
        return false;
    }

    @Override
    public void func_73863_a(int x, int y, float partialTicks){
        super.func_73863_a(x, y, partialTicks);
        func_73732_a(field_146289_q, PneumaticCraftUtils.roundNumberTo(te.getPressure(), 1) + " bar", field_146294_l / 2, field_146295_m / 2, 0xFFFFFF);
    }

    @Override
    protected boolean shouldDrawBackground(){
        return false;
    }

    @Override
    protected Point getInvTextOffset(){
        return null;
    }
}
