package pneumaticCraft.client.gui;

import java.io.IOException;

import net.minecraft.client.gui.GuiScreen;
import net.minecraft.client.gui.inventory.GuiContainer;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.InventoryBasic;
import net.minecraft.inventory.Slot;
import net.minecraft.item.ItemStack;
import net.minecraftforge.fml.client.FMLClientHandler;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import pneumaticCraft.common.inventory.ContainerInventorySearcher;
import pneumaticCraft.lib.Textures;

@SideOnly(Side.CLIENT)
public class GuiInventorySearcher extends GuiContainer{
    private final InventoryBasic inventory = new InventoryBasic("tmp", true, 1);
    private final GuiScreen parentScreen;

    public GuiInventorySearcher(EntityPlayer par1EntityPlayer){
        super(new ContainerInventorySearcher(par1EntityPlayer.field_71071_by));
        par1EntityPlayer.field_71070_bA = field_147002_h;
        field_146291_p = true;
        field_147000_g = 176;//TODO change
        parentScreen = FMLClientHandler.instance().getClient().field_71462_r;
        ((ContainerInventorySearcher)field_147002_h).init(inventory);
    }

    public ItemStack getSearchStack(){
        return inventory.func_70301_a(0);
    }

    public void setSearchStack(ItemStack stack){
        inventory.func_70299_a(0, stack);
    }

    @Override
    protected void func_146984_a(Slot par1Slot, int par2, int par3, int par4){
        if(par1Slot != null) {
            if(par1Slot.field_75222_d == 36) {
                par1Slot.func_75215_d(null);
            } else {
                ItemStack stack = par1Slot.func_75211_c();
                if(stack != null) {
                    stack = stack.func_77946_l();
                    stack.field_77994_a = 1;
                }
                inventory.func_70299_a(0, stack);
            }
        }
    }

    /**
     * Fired when a key is typed. This is the equivalent of KeyListener.keyTyped(KeyEvent e).
     */
    @Override
    protected void func_73869_a(char par1, int par2) throws IOException{
        if(par2 == 1)//esc
        {
            field_146297_k.func_147108_a(parentScreen);
            func_146281_b();
        } else {
            super.func_73869_a(par1, par2);
        }
    }

    /**
     * Draw the foreground layer for the GuiContainer (everything in front of the items)
     */
    @Override
    protected void func_146979_b(int par1, int par2){
        field_146289_q.func_78276_b("Inventory", 7, 5, 4210752);
        field_146289_q.func_78276_b("Searcher", 7, 15, 4210752);
        field_146289_q.func_78276_b("Target", 71, 8, 4210752);
    }

    /**
     * Draws the screen and all the components in it.
     */
    @Override
    public void func_73863_a(int par1, int par2, float par3){
        super.func_73863_a(par1, par2, par3);
        /*
                GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
                GL11.glDisable(GL11.GL_LIGHTING);*/
    }

    /**
     * Draw the background layer for the GuiContainer (everything behind the items)
     */
    @Override
    protected void func_146976_a(float par1, int par2, int par3){
        field_146297_k.func_110434_K().func_110577_a(Textures.GUI_INVENTORY_SEARCHER);
        int xStart = (field_146294_l - field_146999_f) / 2;
        int yStart = (field_146295_m - field_147000_g) / 2;
        func_73729_b(xStart, yStart, 0, 0, field_146999_f, field_147000_g);
    }

}
