package pneumaticCraft.client.gui.remote;

import net.minecraft.client.resources.I18n;
import pneumaticCraft.client.gui.GuiRemoteEditor;
import pneumaticCraft.client.gui.widget.WidgetTextField;
import pneumaticCraft.client.gui.widget.WidgetTextFieldNumber;
import pneumaticCraft.common.remote.ActionWidgetDropdown;

public class GuiRemoteDropdown extends GuiRemoteVariable<ActionWidgetDropdown>{
    private WidgetTextField dropDownElementsField;
    private WidgetTextFieldNumber widthField;

    public GuiRemoteDropdown(ActionWidgetDropdown widget, GuiRemoteEditor guiRemote){
        super(widget, guiRemote);
    }

    @Override
    public void func_73866_w_(){
        super.func_73866_w_();

        addLabel(I18n.func_135052_a("gui.remote.button.width"), guiLeft + 10, guiTop + 100);
        addLabel(I18n.func_135052_a("gui.remote.dropdown.dropDownElements"), guiLeft + 10, guiTop + 40);

        dropDownElementsField = new WidgetTextField(field_146289_q, guiLeft + 10, guiTop + 50, 160, 10);
        dropDownElementsField.func_146180_a(widget.getDropDownElements());
        dropDownElementsField.setTooltip(I18n.func_135052_a("gui.remote.dropdown.dropDownElements.tooltip"));
        addWidget(dropDownElementsField);

        widthField = new WidgetTextFieldNumber(field_146289_q, guiLeft + 50, guiTop + 99, 30, 10);
        widthField.setValue(widget.getWidth());
        widthField.minValue = 10;
        addWidget(widthField);
    }

    @Override
    public void func_146281_b(){
        super.func_146281_b();
        widget.setDropDownElements(dropDownElementsField.func_146179_b());
        widget.setWidth(widthField.getValue());
    }
}
