package pneumaticCraft.client.gui.remote;

import net.minecraft.client.resources.I18n;
import pneumaticCraft.client.gui.GuiRemoteEditor;
import pneumaticCraft.client.gui.widget.WidgetComboBox;
import pneumaticCraft.common.inventory.ContainerRemote;
import pneumaticCraft.common.remote.ActionWidgetVariable;

public class GuiRemoteVariable<Widget extends ActionWidgetVariable> extends GuiRemoteOptionBase<Widget>{

    private WidgetComboBox variableField;

    public GuiRemoteVariable(Widget widget, GuiRemoteEditor guiRemote){
        super(widget, guiRemote);
    }

    @Override
    public void func_73866_w_(){
        super.func_73866_w_();
        addLabel(I18n.func_135052_a("gui.progWidget.coordinate.variableName"), guiLeft + 10, guiTop + 70);
        addLabel("#", guiLeft + 10, guiTop + 81);

        variableField = new WidgetComboBox(field_146289_q, guiLeft + 18, guiTop + 80, 152, 10);
        variableField.setElements(((ContainerRemote)guiRemote.field_147002_h).variables);
        variableField.func_146180_a(widget.getVariableName());
        variableField.setTooltip(I18n.func_135052_a("gui.remote.variable.tooltip"));
        addWidget(variableField);
    }

    @Override
    public void func_146281_b(){
        super.func_146281_b();
        widget.setVariableName(variableField.func_146179_b());
    }
}
