package pneumaticCraft.client.render.pneumaticArmor;

import net.minecraft.client.renderer.Tessellator;
import net.minecraft.client.renderer.WorldRenderer;
import net.minecraft.client.renderer.vertex.DefaultVertexFormats;
import net.minecraft.util.BlockPos;
import net.minecraft.world.World;

import org.lwjgl.opengl.GL11;

public class RenderCoordWireframe{
    public final BlockPos pos;
    public final World worldObj;
    public int ticksExisted;

    public RenderCoordWireframe(World worldObj, BlockPos pos){
        this.worldObj = worldObj;
        this.pos = pos;
    }

    public void render(float partialTicks){
        /*
        Block block = Block.blocksList[world.getBlockId(x, y, z)];
        block.setBlockBoundsBasedOnState(world, x, y, z);
        double minX = block.getBlockBoundsMinX();
        double minY = block.getBlockBoundsMinY();
        double minZ = block.getBlockBoundsMinZ();
        double maxX = minX + (block.getBlockBoundsMaxX() - minX) * progress;
        double maxY = minY + (block.getBlockBoundsMaxY() - minY) * progress;
        double maxZ = minZ + (block.getBlockBoundsMaxX() - minZ) * progress;
        */
        double minX = 0;
        double minY = 0;
        double minZ = 0;
        double maxX = 1;
        double maxY = 1;
        double maxZ = 1;
        float progress = (ticksExisted % 20 + partialTicks) / 20;
        GL11.glDepthMask(false);
        GL11.glDisable(GL11.GL_DEPTH_TEST);
        GL11.glDisable(GL11.GL_CULL_FACE);
        GL11.glEnable(GL11.GL_BLEND);
        GL11.glClear(GL11.GL_DEPTH_BUFFER_BIT);
        GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
        GL11.glDisable(GL11.GL_TEXTURE_2D);
        GL11.glLineWidth(1.0F);
        // GL11.glColor4d(0, 1, 1, progress < 0.5F ? progress + 0.5F : 1.5 - progress);
        GL11.glColor4d(0, progress < 0.5F ? progress + 0.5F : 1.5 - progress, 1, 1);
        GL11.glPushMatrix();
        // GL11.glTranslated(-0.5D, -0.5D, -0.5D);
        GL11.glTranslated(pos.func_177958_n(), pos.func_177956_o(), pos.func_177952_p());
        WorldRenderer wr = Tessellator.func_178181_a().func_178180_c();
        wr.func_181668_a(GL11.GL_LINES, DefaultVertexFormats.field_181705_e);
        wr.func_181662_b(minX, minY, minZ).func_181675_d();
        wr.func_181662_b(minX, maxY, minZ).func_181675_d();
        wr.func_181662_b(minX, minY, maxZ).func_181675_d();
        wr.func_181662_b(minX, maxY, maxZ).func_181675_d();

        wr.func_181662_b(maxX, minY, minZ).func_181675_d();
        wr.func_181662_b(maxX, maxY, minZ).func_181675_d();
        wr.func_181662_b(maxX, minY, maxZ).func_181675_d();
        wr.func_181662_b(maxX, maxY, maxZ).func_181675_d();

        wr.func_181662_b(minX, minY, minZ).func_181675_d();
        wr.func_181662_b(maxX, minY, minZ).func_181675_d();
        wr.func_181662_b(minX, minY, maxZ).func_181675_d();
        wr.func_181662_b(maxX, minY, maxZ).func_181675_d();

        wr.func_181662_b(minX, maxY, minZ).func_181675_d();
        wr.func_181662_b(maxX, maxY, minZ).func_181675_d();
        wr.func_181662_b(minX, maxY, maxZ).func_181675_d();
        wr.func_181662_b(maxX, maxY, maxZ).func_181675_d();

        wr.func_181662_b(minX, minY, minZ).func_181675_d();
        wr.func_181662_b(minX, minY, maxZ).func_181675_d();
        wr.func_181662_b(maxX, minY, minZ).func_181675_d();
        wr.func_181662_b(maxX, minY, maxZ).func_181675_d();

        wr.func_181662_b(minX, maxY, minZ).func_181675_d();
        wr.func_181662_b(minX, maxY, maxZ).func_181675_d();
        wr.func_181662_b(maxX, maxY, minZ).func_181675_d();
        wr.func_181662_b(maxX, maxY, maxZ).func_181675_d();

        Tessellator.func_178181_a().func_78381_a();

        GL11.glPopMatrix();
        GL11.glEnable(GL11.GL_CULL_FACE);
        GL11.glEnable(GL11.GL_DEPTH_TEST);
        GL11.glDisable(GL11.GL_BLEND);
        GL11.glDepthMask(true);
        GL11.glEnable(GL11.GL_TEXTURE_2D);
    }
}
