package pneumaticCraft.common.ai;

import net.minecraft.entity.ai.EntityAIBase;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.server.MinecraftServer;
import pneumaticCraft.common.entity.living.EntityDrone;

public class DroneGoToOwner extends EntityAIBase{
    private final EntityDrone drone;
    public boolean isExecuting;

    public DroneGoToOwner(EntityDrone drone){
        this.drone = drone;
    }

    @Override
    public boolean func_75250_a(){
        EntityPlayerMP owner = getOnlineOwner();
        return isExecuting = owner != null && drone.func_70661_as().func_75497_a(owner, drone.getSpeed());
    }

    @Override
    public boolean func_75253_b(){
        return isExecuting = getOnlineOwner() != null && !drone.func_70661_as().func_75500_f();
    }

    private EntityPlayerMP getOnlineOwner(){
        for(EntityPlayerMP player : MinecraftServer.func_71276_C().func_71203_ab().field_72404_b) {
            if(player.func_146103_bH().equals(drone.getFakePlayer().func_146103_bH())) return player;
        }
        return null;
    }
}
