package pneumaticCraft.common.ai;

import net.minecraft.entity.ai.EntityMoveHelper;
import pneumaticCraft.common.entity.living.EntityDroneBase;

public class DroneMoveHelper extends EntityMoveHelper{
    private final EntityDroneBase entity;
    private double x, y, z, speed;
    private int timeoutTimer;
    private int timeoutCounter;//counts the times the drone timed out.

    public DroneMoveHelper(EntityDroneBase par1EntityLiving){
        super(par1EntityLiving);
        entity = par1EntityLiving;
        x = entity.field_70165_t;
        y = entity.field_70163_u;
        z = entity.field_70161_v;
    }

    @Override
    public void func_75642_a(double x, double y, double z, double speed){
        double newY = y + 0.5 - 0.17;
        if(x != this.x || newY != this.y || z != this.z) {
            this.x = x;
            this.y = newY;
            this.z = z;
            timeoutTimer = 0;
        } else {
            timeoutCounter = 0;
        }
        this.speed = speed;
    }

    @Override
    public void func_75641_c(){
        if(entity.isAccelerating()) {
            entity.field_70159_w = Math.max(-speed, Math.min(speed, x - entity.field_70165_t));
            entity.field_70181_x = Math.max(-speed, Math.min(speed, y - entity.field_70163_u));
            entity.field_70179_y = Math.max(-speed, Math.min(speed, z - entity.field_70161_v));

            if(timeoutTimer++ > 40) {
                entity.func_70661_as().func_75499_g();
                timeoutTimer = 0;
                timeoutCounter++;
                if(timeoutCounter > 1 && entity.func_70781_l()) { //Teleport when after re-acquiring a new path, the drone still doesn't move.
                    ((EntityPathNavigateDrone)entity.func_70661_as()).teleport();
                }
            }
        }
    }

}
