package pneumaticCraft.common.block;

import java.util.List;

import net.minecraft.block.material.Material;
import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.item.ItemStack;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.AxisAlignedBB;
import net.minecraft.util.BlockPos;
import net.minecraft.util.EnumFacing;
import net.minecraft.world.IBlockAccess;
import net.minecraft.world.World;
import pneumaticCraft.common.tileentity.TileEntityHeatSink;
import pneumaticCraft.lib.BBConstants;

public class BlockHeatSink extends BlockPneumaticCraftModeled{

    protected BlockHeatSink(Material par2Material){
        super(par2Material);
    }

    @Override
    protected Class<? extends TileEntity> getTileEntityClass(){
        return TileEntityHeatSink.class;
    }

    @Override
    public void func_180654_a(IBlockAccess blockAccess, BlockPos pos){
        EnumFacing dir = getRotation(blockAccess, pos);
        func_149676_a(dir.func_82601_c() <= 0 ? 0 : 1F - BBConstants.HEAT_SINK_THICKNESS, dir.func_96559_d() <= 0 ? 0 : 1F - BBConstants.HEAT_SINK_THICKNESS, dir.func_82599_e() <= 0 ? 0 : 1F - BBConstants.HEAT_SINK_THICKNESS, dir.func_82601_c() >= 0 ? 1 : BBConstants.HEAT_SINK_THICKNESS, dir.func_96559_d() >= 0 ? 1 : BBConstants.HEAT_SINK_THICKNESS, dir.func_82599_e() >= 0 ? 1 : BBConstants.HEAT_SINK_THICKNESS);
    }

    @Override
    public void func_180638_a(World world, BlockPos pos, IBlockState state, AxisAlignedBB axisalignedbb, List arraylist, Entity par7Entity){
        func_180654_a(world, pos);
        super.func_180638_a(world, pos, state, axisalignedbb, arraylist, par7Entity);
    }

    @Override
    public IBlockState func_180642_a(World worldIn, BlockPos pos, EnumFacing facing, float hitX, float hitY, float hitZ, int meta, EntityLivingBase placer){
        return super.func_180642_a(worldIn, pos, facing, hitX, hitY, hitZ, meta, placer).func_177226_a(ROTATION, facing.func_176734_d());
    }

    @Override
    public void func_180633_a(World world, BlockPos pos, IBlockState state, EntityLivingBase entity, ItemStack stack){}

    @Override
    public boolean isRotatable(){
        return true;
    }

    @Override
    protected boolean canRotateToTopOrBottom(){
        return true;
    }

    @Override
    public void func_176199_a(World world, BlockPos pos, Entity entity){
        TileEntityHeatSink heatSink = (TileEntityHeatSink)world.func_175625_s(pos);
        if(heatSink.getHeatExchangerLogic(null).getTemperature() > 323) {
            entity.func_70015_d(3);
        }
    }
}
