package pneumaticCraft.common.commands;

import java.util.List;

import net.minecraft.command.CommandBase;
import net.minecraft.command.CommandException;
import net.minecraft.command.ICommandSender;
import net.minecraft.command.WrongUsageException;
import net.minecraft.util.BlockPos;
import net.minecraft.util.ChatComponentTranslation;
import pneumaticCraft.common.remote.GlobalVariableManager;

public class CommandSetGlobalVariable extends CommandBase{

    @Override
    public boolean func_71519_b(ICommandSender par1ICommandSender){
        return true;
    }

    @Override
    public String func_71517_b(){
        return "setGlobalVariable";
    }

    @Override
    public String func_71518_a(ICommandSender p_71518_1_){
        return "setGlobalVariable <variableName> <x> <y> <z>";
    }

    @Override
    public void func_71515_b(ICommandSender sender, String[] args) throws CommandException{
        if(args.length != 4) throw new WrongUsageException("command.deliverAmazon.args");
        String varName = args[0].startsWith("#") ? args[0].substring(1) : args[0];
        BlockPos newPos = new BlockPos(func_175755_a(args[1]), func_175755_a(args[2]), func_175755_a(args[3]));
        GlobalVariableManager.getInstance().set(varName, newPos);
        sender.func_145747_a(new ChatComponentTranslation("command.setGlobalVariable.output", varName, newPos.func_177958_n(), newPos.func_177956_o(), newPos.func_177952_p()));
    }

    /**
     * Adds the strings available in this command to the given list of tab completion options.
     */
    @Override
    public List<String> func_180525_a(ICommandSender p_71516_1_, String[] p_71516_2_, BlockPos pos){
        return p_71516_2_.length >= 1 ? func_71530_a(p_71516_2_, GlobalVariableManager.getInstance().getAllActiveVariableNames()) : null;
    }

}
