package pneumaticCraft.common.entity;

import net.minecraft.util.BlockPos;
import net.minecraft.util.DamageSource;
import net.minecraft.world.World;
import pneumaticCraft.common.entity.living.EntityDroneBase;
import pneumaticCraft.common.tileentity.TileEntityProgrammableController;

public class EntityProgrammableController extends EntityDroneBase{
    private final TileEntityProgrammableController controller;

    public EntityProgrammableController(World world){
        super(world);
        controller = null;
    }

    public EntityProgrammableController(World world, TileEntityProgrammableController controller){
        super(world);
        field_70156_m = false;
        this.controller = controller;
    }

    /**
     * Returns true if other Entities should be prevented from moving through this Entity.
     */
    @Override
    public boolean func_70067_L(){
        return false;
    }

    /**
     * Returns true if this entity should push and be pushed by other entities when colliding.
     */
    @Override
    public boolean func_70104_M(){
        return false;
    }

    @Override
    public void func_70071_h_(){
        if(controller.func_145837_r()) func_70106_y();
        if(digLaser != null) digLaser.update();
        oldPropRotation = propRotation;
        propRotation += 1;
    }

    @Override
    protected double getLaserOffsetY(){
        return 0.45;
    }

    @Override
    public boolean func_70097_a(DamageSource p_70097_1_, float p_70097_2_){
        return false;
    }

    @Override
    protected BlockPos getDugBlock(){
        return controller.getDugPosition();
    }
}
