package pneumaticCraft.common.inventory;

import net.minecraft.entity.player.InventoryPlayer;
import net.minecraft.inventory.Slot;
import pneumaticCraft.common.item.Itemss;
import pneumaticCraft.common.tileentity.TileEntityAirCannon;

public class ContainerAirCannon extends ContainerPneumaticBase<TileEntityAirCannon>{

    public ContainerAirCannon(InventoryPlayer inventoryPlayer, TileEntityAirCannon te){
        super(te);

        // add the upgrade slots
        func_75146_a(new SlotInventoryLimiting(te, 2, 8, 29));
        func_75146_a(new SlotInventoryLimiting(te, 3, 26, 29));
        func_75146_a(new SlotInventoryLimiting(te, 4, 8, 47));
        func_75146_a(new SlotInventoryLimiting(te, 5, 26, 47));

        // add the gps slot
        func_75146_a(new SlotItemSpecific(te, Itemss.GPSTool, 1, 51, 29));

        // add the cannoned slot.
        func_75146_a(new Slot(te, 0, 79, 40));

        addPlayerSlots(inventoryPlayer, 84);

    }

}
