package pneumaticCraft.common.inventory;

import net.minecraft.entity.player.InventoryPlayer;
import pneumaticCraft.common.tileentity.TileEntityChargingStation;

public class ContainerChargingStation extends ContainerPneumaticBase<TileEntityChargingStation>{

    public ContainerChargingStation(InventoryPlayer inventoryPlayer, TileEntityChargingStation te){
        super(te);

        // add the cannoned slot.
        func_75146_a(new SlotInventoryLimiting(te, 0, 91, 39){
            @Override
            public int func_75219_a(){
                return 1;
            }
        });

        // add the upgrade slots
        for(int i = 0; i < 2; i++) {
            for(int j = 0; j < 2; j++) {
                func_75146_a(new SlotInventoryLimiting(te, i * 2 + j + 1, 42 + j * 18, 29 + i * 18));
            }
        }

        // Add the player's armor slots to the container.
        for(int i = 0; i < 4; i++) {
            func_75146_a(new SlotPneumaticArmor(inventoryPlayer.field_70458_d, inventoryPlayer, inventoryPlayer.func_70302_i_() - 1 - i, 9, 8 + i * 18, i));
        }

        addPlayerSlots(inventoryPlayer, 84);
    }
}
