package pneumaticCraft.common.inventory;

import net.minecraft.entity.player.InventoryPlayer;
import pneumaticCraft.common.tileentity.TileEntityChargingStation;

public class ContainerChargingStationItemInventory extends ContainerPneumaticBase<TileEntityChargingStation>{

    public InventoryPneumaticInventoryItem armor;

    public ContainerChargingStationItemInventory(InventoryPlayer inventoryPlayer, TileEntityChargingStation te){
        super(te);
        if(te.func_70301_a(TileEntityChargingStation.CHARGE_INVENTORY_INDEX) == null) throw new IllegalArgumentException("instanciating ContainerPneumaticArmor with a charge item being null!");
        armor = te.getChargeableInventory();

        for(int i = 0; i < 3; i++) {
            for(int j = 0; j < 3; j++) {
                func_75146_a(new SlotInventoryLimiting(armor, i * 3 + j, 31 + j * 18, 24 + i * 18));
            }
        }

        // addSlotToContainer(new Slot(teChargingStation, 0, 91, 39));

        addPlayerSlots(inventoryPlayer, 84);

        // Add the player's armor slots to the container.
        for(int i = 0; i < 4; i++) {
            func_75146_a(new SlotPneumaticArmor(inventoryPlayer.field_70458_d, inventoryPlayer, inventoryPlayer.func_70302_i_() - 1 - i, 9, 8 + i * 18, i));
        }

    }
}
