package pneumaticCraft.common.inventory;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.InventoryPlayer;
import net.minecraft.inventory.Slot;
import pneumaticCraft.common.tileentity.TileEntityOmnidirectionalHopper;

public class ContainerOmnidirectionalHopper extends ContainerPneumaticBase<TileEntityOmnidirectionalHopper>{

    public ContainerOmnidirectionalHopper(InventoryPlayer inventoryPlayer, TileEntityOmnidirectionalHopper te){
        super(te);

        // add the upgrade slots
        func_75146_a(new SlotUpgrade(te, 5, 23, 29));
        func_75146_a(new SlotUpgrade(te, 6, 41, 29));
        func_75146_a(new SlotUpgrade(te, 7, 23, 47));
        func_75146_a(new SlotUpgrade(te, 8, 41, 47));

        for(int i = 0; i < 5; i++)
            func_75146_a(new Slot(te, i, 68 + i * 18, 36));

        addPlayerSlots(inventoryPlayer, 84);
    }

    @Override
    public boolean func_75145_c(EntityPlayer player){
        return te.func_70300_a(player);
    }
}
