package pneumaticCraft.common.inventory;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.IInventory;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.util.IChatComponent;
import pneumaticCraft.common.NBTUtil;
import pneumaticCraft.common.item.ItemPneumaticArmor;
import pneumaticCraft.common.network.NetworkHandler;
import pneumaticCraft.common.network.PacketUpdateSearchStack;

public class InventorySearch implements IInventory{

    private final ItemStack helmetStack;

    public InventorySearch(EntityPlayer player){
        helmetStack = player.func_82169_q(3);
    }

    @Override
    public int func_70302_i_(){
        return 1;
    }

    @Override
    public ItemStack func_70301_a(int i){
        return ItemPneumaticArmor.getSearchedStack(helmetStack);
    }

    @Override
    public ItemStack func_70298_a(int i, int j){
        return null;
    }

    @Override
    public ItemStack func_70304_b(int i){
        return null;
    }

    @Override
    public void func_70299_a(int i, ItemStack itemstack){
        NBTTagCompound tag = NBTUtil.getCompoundTag(helmetStack, "SearchStack");
        tag.func_74768_a("itemID", itemstack != null ? Item.func_150891_b(itemstack.func_77973_b()) : -1);
        tag.func_74768_a("itemDamage", itemstack != null ? itemstack.func_77952_i() : -1);
        NetworkHandler.sendToServer(new PacketUpdateSearchStack(itemstack));
    }

    @Override
    public String func_70005_c_(){
        return "Inventory Search";
    }

    @Override
    public int func_70297_j_(){
        return 1;
    }

    @Override
    public boolean func_70300_a(EntityPlayer entityplayer){
        return true;
    }

    @Override
    public boolean func_94041_b(int i, ItemStack itemstack){
        return false;
    }

    @Override
    public boolean func_145818_k_(){
        return true;
    }

    @Override
    public void func_70296_d(){}

    @Override
    public void func_174889_b(EntityPlayer player){}

    @Override
    public void func_174886_c(EntityPlayer player){}

    @Override
    public IChatComponent func_145748_c_(){
        return null;
    }

    @Override
    public int func_174887_a_(int id){
        return 0;
    }

    @Override
    public void func_174885_b(int id, int value){}

    @Override
    public int func_174890_g(){
        return 0;
    }

    @Override
    public void func_174888_l(){}

}
