package pneumaticCraft.common.item;

import java.util.List;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import pneumaticCraft.api.item.IProgrammable;

public class ItemNetworkComponents extends ItemPneumatic implements IProgrammable{
    public static final int COMPONENT_AMOUNT = 6;

    public static final int DIAGNOSTIC_SUBROUTINE = 0;
    public static final int NETWORK_API = 1;
    public static final int NETWORK_DATA_STORAGE = 2;
    public static final int NETWORK_IO_PORT = 3;
    public static final int NETWORK_REGISTRY = 4;
    public static final int NETWORK_NODE = 5;

    public ItemNetworkComponents(){
        func_77627_a(true);
    }

    @Override
    public String func_77667_c(ItemStack is){
        return super.func_77667_c(is) + is.func_77952_i();
    }

    @Override
    public int func_77647_b(int meta){
        return meta;
    }

    @Override
    @SideOnly(Side.CLIENT)
    public void func_150895_a(Item par1, CreativeTabs tab, List subItems){
        for(int i = 0; i < COMPONENT_AMOUNT; i++) {
            subItems.add(new ItemStack(this, 1, i));
        }
    }

    @Override
    @SideOnly(Side.CLIENT)
    public void func_77624_a(ItemStack stack, EntityPlayer player, List infoList, boolean par4){}

    @Override
    public boolean canProgram(ItemStack stack){
        return stack.func_77952_i() == NETWORK_API || stack.func_77952_i() == NETWORK_DATA_STORAGE;
    }

    @Override
    public boolean usesPieces(ItemStack stack){
        return stack.func_77952_i() == NETWORK_API;
    }

    @Override
    public boolean showProgramTooltip(){
        return true;
    }

}
