package pneumaticCraft.common.item;

import java.util.HashSet;
import java.util.Set;
import java.util.Stack;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraft.util.BlockPos;
import net.minecraft.util.ChatComponentTranslation;
import net.minecraft.util.EnumChatFormatting;
import net.minecraft.util.EnumFacing;
import net.minecraft.world.World;
import net.minecraftforge.fluids.FluidRegistry;
import pneumaticCraft.common.fluid.Fluids;
import pneumaticCraft.common.util.FluidUtils;

public class ItemSeismicSensor extends ItemPneumatic{
    public ItemSeismicSensor(){
        super("seismicSensor");
        func_77625_d(1);
    }

    @Override
    public boolean func_180614_a(ItemStack stack, EntityPlayer player, World world, BlockPos pos, EnumFacing side, float par8, float par9, float par10){
        if(!world.field_72995_K) {
            int startY = pos.func_177956_o();
            while(pos.func_177956_o() > 0) {
                pos = pos.func_177972_a(EnumFacing.DOWN);
                if(world.func_180495_p(pos).func_177230_c() == FluidRegistry.getFluid(Fluids.oil.getName()).getBlock()) {
                    Set<BlockPos> oilPositions = new HashSet<BlockPos>();
                    Stack<BlockPos> pendingPositions = new Stack<BlockPos>();
                    pendingPositions.add(new BlockPos(pos));
                    while(!pendingPositions.empty()) {
                        BlockPos checkingPos = pendingPositions.pop();
                        for(EnumFacing d : EnumFacing.field_82609_l) {
                            BlockPos newPos = checkingPos.func_177972_a(d);
                            if(world.func_180495_p(newPos).func_177230_c() == Fluids.oil.getBlock() && FluidUtils.isSourceBlock(world, newPos) && oilPositions.add(newPos)) {
                                pendingPositions.add(newPos);
                            }
                        }
                    }
                    player.func_146105_b(new ChatComponentTranslation("message.seismicSensor.foundOilDetails", EnumChatFormatting.GREEN.toString() + (startY - pos.func_177956_o()), EnumChatFormatting.GREEN.toString() + oilPositions.size() / 10 * 10));
                    return true;
                }
            }
            player.func_146105_b(new ChatComponentTranslation("message.seismicSensor.noOilFound"));
        }
        return true; // we don't want to use the item.

    }
}
