package pneumaticCraft.common.network;

import io.netty.buffer.ByteBuf;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraft.util.BlockPos;
import net.minecraftforge.fml.common.network.ByteBufUtils;
import pneumaticCraft.common.item.ItemGPSTool;
import pneumaticCraft.common.item.Itemss;

public class PacketChangeGPSToolCoordinate extends LocationIntPacket<PacketChangeGPSToolCoordinate>{
    private String variable;

    public PacketChangeGPSToolCoordinate(){}

    public PacketChangeGPSToolCoordinate(BlockPos pos, String variable){
        super(pos);
        this.variable = variable;
    }

    @Override
    public void toBytes(ByteBuf buf){
        super.toBytes(buf);
        ByteBufUtils.writeUTF8String(buf, variable);
    }

    @Override
    public void fromBytes(ByteBuf buf){
        super.fromBytes(buf);
        variable = ByteBufUtils.readUTF8String(buf);
    }

    @Override
    public void handleClientSide(PacketChangeGPSToolCoordinate message, EntityPlayer player){}

    @Override
    public void handleServerSide(PacketChangeGPSToolCoordinate message, EntityPlayer player){
        ItemStack playerStack = player.func_71045_bC();
        if(playerStack != null && playerStack.func_77973_b() == Itemss.GPSTool) {
            ItemGPSTool.setVariable(playerStack, message.variable);
            if(message.pos.func_177956_o() >= 0) {
                playerStack.func_77973_b().func_180614_a(playerStack, player, player.field_70170_p, message.pos, null, 0, 0, 0);
            }
        }
    }
}
