package pneumaticCraft.common.network;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.tileentity.TileEntity;
import pneumaticCraft.common.tileentity.IRangeLineShower;

public class PacketRenderRangeLines extends LocationIntPacket<PacketRenderRangeLines>{

    public PacketRenderRangeLines(){}

    public PacketRenderRangeLines(TileEntity te){
        super(te.func_174877_v());
    }

    @Override
    public void handleClientSide(PacketRenderRangeLines message, EntityPlayer player){
        TileEntity te = message.getTileEntity(player.func_130014_f_());
        if(te instanceof IRangeLineShower) {
            ((IRangeLineShower)te).showRangeLines();
        }
    }

    @Override
    public void handleServerSide(PacketRenderRangeLines message, EntityPlayer player){}

}
