package pneumaticCraft.common.recipes;

import net.minecraft.init.Blocks;
import net.minecraft.inventory.InventoryCrafting;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;
import net.minecraftforge.oredict.OreDictionary;
import net.minecraftforge.oredict.ShapedOreRecipe;
import pneumaticCraft.common.item.Itemss;

public class RecipeGun extends AbstractRecipe{
    private final String dyeName;
    private final Item output;

    public RecipeGun(String dyeName, Item output){
        this.dyeName = dyeName;
        this.output = output;
    }

    @Override
    public boolean func_77569_a(InventoryCrafting inventory, World world){
        ShapedOreRecipe recipe = new ShapedOreRecipe(new ItemStack(Itemss.pneumaticWrench, 1, Itemss.pneumaticWrench.func_77612_l()), "idi", "c  ", "ili", 'd', dyeName, 'i', Itemss.ingotIronCompressed, 'l', Blocks.field_150442_at, 'c', new ItemStack(Itemss.airCanister, 1, OreDictionary.WILDCARD_VALUE));
        return recipe.func_77569_a(inventory, world);
    }

    @Override
    public ItemStack func_77572_b(InventoryCrafting inventory){
        if(!func_77569_a(inventory, null)) return null;
        ItemStack output = func_77571_b();
        for(int i = 0; i < inventory.func_70302_i_(); i++) {
            if(inventory.func_70301_a(i) != null && inventory.func_70301_a(i).func_77973_b() == Itemss.airCanister) {
                output.func_77964_b(inventory.func_70301_a(i).func_77952_i());
            }
        }
        return output;
    }

    @Override
    public int func_77570_a(){
        return 3;
    }

    @Override
    public ItemStack func_77571_b(){
        return new ItemStack(output, 1, 0);
    }

}
