package pneumaticCraft.common.recipes;

import net.minecraft.inventory.InventoryCrafting;
import net.minecraft.item.ItemStack;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.world.World;
import pneumaticCraft.common.item.Itemss;

public class RecipeLogisticToDrone extends AbstractRecipe{

    @Override
    public boolean func_77569_a(InventoryCrafting inventoryCrafting, World world){
        boolean hasDrone = false, hasPCB = false;
        for(int i = 0; i < inventoryCrafting.func_70302_i_(); i++) {
            ItemStack stack = inventoryCrafting.func_70301_a(i);
            if(stack != null) {
                if(stack.func_77973_b() == Itemss.logisticsDrone) {
                    if(!hasDrone) hasDrone = true;
                    else return false;
                } else if(stack.func_77973_b() == Itemss.printedCircuitBoard) {
                    if(!hasPCB) hasPCB = true;
                    else return false;
                }
            }
        }
        return hasDrone && hasPCB;
    }

    @Override
    public ItemStack func_77572_b(InventoryCrafting inventoryCrafting){
        ItemStack logisticDrone = null;
        for(int i = 0; i < inventoryCrafting.func_70302_i_(); i++) {
            ItemStack stack = inventoryCrafting.func_70301_a(i);
            if(stack != null && stack.func_77973_b() == Itemss.logisticsDrone) {
                logisticDrone = stack.func_77946_l();
                break;
            }
        }
        ItemStack drone = new ItemStack(Itemss.drone);
        NBTTagCompound droneTag = logisticDrone.func_77978_p();
        if(droneTag == null) {
            droneTag = new NBTTagCompound();
            logisticDrone.func_77982_d(droneTag);
        }
        drone.func_77982_d(droneTag);
        return drone;
    }

    @Override
    public int func_77570_a(){
        return 2;
    }

    @Override
    public ItemStack func_77571_b(){
        return new ItemStack(Itemss.drone);
    }

}
