package pneumaticCraft.common.recipes;

import net.minecraft.inventory.InventoryCrafting;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;
import pneumaticCraft.api.item.IPressurizable;
import pneumaticCraft.common.item.Itemss;
import pneumaticCraft.lib.PneumaticValues;

public class RecipePneumaticHelmet extends AbstractRecipe{

    @Override
    public boolean func_77569_a(InventoryCrafting inventory, World world){

        for(int i = 0; i < inventory.func_70302_i_(); i++) {
            if(i != 4 && i < 6) {
                if(inventory.func_70301_a(i) == null) return false;
            } else {
                if(inventory.func_70301_a(i) != null) return false;
            }
        }

        if(inventory.func_70463_b(0, 0).func_77973_b() != Itemss.airCanister) return false;
        // System.out.println("still ok");
        if(inventory.func_70463_b(1, 0).func_77973_b() != Itemss.printedCircuitBoard) return false;
        if(inventory.func_70463_b(2, 0).func_77973_b() != Itemss.airCanister) return false;
        if(inventory.func_70463_b(0, 1).func_77973_b() != Itemss.airCanister) return false;
        if(inventory.func_70463_b(2, 1).func_77973_b() != Itemss.airCanister) return false;
        return true;
    }

    @Override
    public ItemStack func_77572_b(InventoryCrafting inventory){
        if(!func_77569_a(inventory, null)) return null;
        ItemStack output = func_77571_b();
        int totalDamage = inventory.func_70463_b(0, 0).func_77952_i() + inventory.func_70463_b(2, 0).func_77952_i() + inventory.func_70463_b(0, 1).func_77952_i() + inventory.func_70463_b(2, 1).func_77952_i();

        ((IPressurizable)output.func_77973_b()).addAir(output, PneumaticValues.PNEUMATIC_HELMET_VOLUME * 10 - totalDamage);
        // output.setItemDamage(totalDamage);
        return output;
    }

    @Override
    public int func_77570_a(){
        return 3;
    }

    @Override
    public ItemStack func_77571_b(){
        return new ItemStack(Itemss.pneumaticHelmet);
    }

}
