package pneumaticCraft.common.util;

import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.BlockPos;
import net.minecraft.util.EnumFacing;
import net.minecraft.world.World;

public class TileEntityCache{
    private TileEntity te;
    private final World world;
    private final BlockPos pos;

    public TileEntityCache(World world, BlockPos pos){
        this.world = world;
        this.pos = pos;
        update();
    }

    public void update(){
        te = world.func_175667_e(pos) ? world.func_175625_s(pos) : null;
        if(te != null && te.func_145831_w() == null) te = null;
    }

    public TileEntity getTileEntity(){
        if(te != null && te.func_145837_r()) te = null;
        return te;
    }

    public static TileEntityCache[] getDefaultCache(World world, BlockPos pos){
        TileEntityCache[] cache = new TileEntityCache[6];
        for(int i = 0; i < 6; i++) {
            EnumFacing d = EnumFacing.func_82600_a(i);
            cache[i] = new TileEntityCache(world, pos.func_177972_a(d));
        }
        return cache;
    }

}
